Skip to main content
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth
/
tokens
Wallet - Net Worth By Tokens
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/net-worth/tokens \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1",
  "totalValueInUsd": "3.369918",
  "totalValueInNative": "0.040382",
  "currentTimestamp": "2025-05-19T04:47:19.414Z",
  "data": [
    {
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "decimals": 6,
      "priceInUsd": "0.00014999198221145974",
      "priceInNative": "0.000001855",
      "amount": "69",
      "valueInUsd": "0.010349446772590722",
      "valueInNative": "0.000127995",
      "chain": "sol",
      "name": "Smellow",
      "symbol": "SMLO",
      "logoUri": "https://pump.mypinata.cloud/ipfs/QmcCjKS4MMeji11PqnNhqDSXd6gD4iGj1nC6zjyfaekuQZ"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
walletAddress
string
required

An address of a wallet

Example:

"8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1"

Query Parameters

tokenAddresses
string
required

Comma-separated list of token addresses to query net worth for

Example:

"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v,So11111111111111111111111111111111111111112"

Response

200 - application/json
walletAddress
string
required

Wallet address

Example:

"8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1"

totalValueInUsd
string
required

Total wallet value in USD

Example:

"3.369918"

totalValueInNative
string
required

Total wallet value in native token

Example:

"0.040382"

currentTimestamp
string
required

Current server timestamp (ISO 8601)

Example:

"2025-05-19T04:47:19.414Z"

data
object[]
required

Array of data items